-- localisations
local L = AceLibrary("AceLocale-2.2"):new("ShakedownNabuFiveSec")
L:RegisterTranslations("enUS", function() return {
	["NabuFiveSec"] = true,
} end)

local AddOn = ShakedownAddonBase:new("NabuFiveSec", L["NabuFiveSec"])
local wasLocked

function AddOn:Activate()
	if not AddOn.class.prototype.Activate(self) then return end

	wasLocked = NabuFiveSec.db.profile.locked
	NabuFiveSec:toggleFSBLock(false)
end

function AddOn:Deactivate()
	AddOn.class.prototype.Deactivate(self)

	if wasLocked then
		NabuFiveSec:toggleFSBLock(true)
	end
end
